"{ Package: 'stx:goodies/petitparser/compiler/tests' }"

"{ NameSpace: Smalltalk }"

PPCompositeParserTest subclass:#PPExpressionGrammarTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'PetitCompiler-Tests-ExpressionGrammar'
!

!PPExpressionGrammarTest methodsFor:'as yet unclassified'!

parserClass
	^ PPExpressionGrammar
!

testNumber
	result := self parse: '1' rule: #number.
	self assert: result = 1.
!

testTerm
	result := self parse: '1 + 2' rule: #term.
	self assert: result size = 3.
	self assert: result first = 1.
	self assert: result second inputValue = '+'.
	self assert: result third = 2.
	
!

testTerm2
	result := self parse: '1 + 2 * 3' rule: #term.
	self assert: result size = 3.
	self assert: result second inputValue = '+'.
	self assert: result first = 1.
	self assert: result third isArray.
!

testTerm3
	result := self parse: '1 * 2 + 3' rule: #term.
	self assert: result size = 3.
	self assert: result second inputValue = '+'.
	self assert: result first isArray.
	self assert: result third = 3.
! !

